
/* Generated data (by glib-mkenums) */

/*
 * Dax - Load and draw SVG
 *
 * Copyright © 2009 Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA
 */

#include "dax-enum-types.h"

const gchar *
dax_enum_to_string (GType type,
                    gint  value)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;
    const gchar *val;

    enum_class = g_type_class_ref (type);
    enum_value = g_enum_get_value (enum_class, value);
    if (enum_value)
        val = enum_value->value_nick;
    else
        val = "<invalid enum value>";

    g_type_class_unref (enum_class);

    return val;
}

gboolean
dax_string_to_enum (GType        type,
                    const gchar *nick,
                    gint        *value)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;
    gboolean ret = FALSE;

    enum_class = g_type_class_ref (type);
    enum_value = g_enum_get_value_by_nick (enum_class, nick);
    if (enum_value) {
        if (value)
            *value = enum_value->value;
        ret = TRUE;
    }

    g_type_class_unref (enum_class);

    return ret;
}


/* enumerations from "dax-element-animate-transform.h" */
#include "dax-element-animate-transform.h"
#ifndef DAX_ANIMATE_TRANSFORM_TYPE_OVERRIDE_TRANSFORM
static void
transform_dax_animate_transform_type_string (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (src));
    enum_value = g_enum_get_value (enum_class, g_value_get_enum (src));
    if (enum_value)
        g_value_set_static_string (dest, enum_value->value_nick);
    else
        g_value_set_static_string (dest, "<invalid DaxAnimateTransformType>");
}

static void
transform_string_dax_animate_transform_type (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

#ifdef DAX_ANIMATE_TRANSFORM_TYPE_CASE_SENSITIVE
    const gchar *nick = g_value_get_string (src);
#else
    gchar *nick = g_ascii_strdown (g_value_get_string (src), -1);
#endif

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (dest));
    enum_value = g_enum_get_value_by_nick (enum_class, nick);
    if (enum_value)
        g_value_set_enum (dest, enum_value->value);
    else
        g_value_set_enum (dest, DAX_ANIMATE_TRANSFORM_TYPE_DEFAULT);

#ifndef DAX_ANIMATE_TRANSFORM_TYPE_CASE_SENSITIVE
    g_free (nick);
#endif
}
#endif /* DAX_ANIMATE_TRANSFORM_TYPE_OVERRIDE_TRANSFORM */

GType
dax_animate_transform_type_get_type (void)
{
  static volatile gsize g_enum_type_id__volatile = 0;

  if (g_once_init_enter (&g_enum_type_id__volatile))
    {
      static const GEnumValue values[] = {
        { DAX_ANIMATE_TRANSFORM_TYPE_NONE, "DAX_ANIMATE_TRANSFORM_TYPE_NONE", "none" },
        { DAX_ANIMATE_TRANSFORM_TYPE_TRANSLATE, "DAX_ANIMATE_TRANSFORM_TYPE_TRANSLATE", "translate" },
        { DAX_ANIMATE_TRANSFORM_TYPE_SCALE, "DAX_ANIMATE_TRANSFORM_TYPE_SCALE", "scale" },
        { DAX_ANIMATE_TRANSFORM_TYPE_ROTATE, "DAX_ANIMATE_TRANSFORM_TYPE_ROTATE", "rotate" },
        { DAX_ANIMATE_TRANSFORM_TYPE_SKEW_X, "DAX_ANIMATE_TRANSFORM_TYPE_SKEW_X", "skewX" },
        { DAX_ANIMATE_TRANSFORM_TYPE_SKEW_Y, "DAX_ANIMATE_TRANSFORM_TYPE_SKEW_Y", "skewY" },
        { 0, NULL, NULL }
      };
      GType g_enum_type_id;

      g_enum_type_id =
        g_enum_register_static (g_intern_static_string ("DaxAnimateTransformType"), values);
#ifndef DAX_ANIMATE_TRANSFORM_TYPE_OVERRIDE_TRANSFORM
        g_value_register_transform_func (g_enum_type_id, G_TYPE_STRING,
                                         transform_dax_animate_transform_type_string);
        g_value_register_transform_func (G_TYPE_STRING, g_enum_type_id,
                                         transform_string_dax_animate_transform_type);
#endif

      g_once_init_leave (&g_enum_type_id__volatile, g_enum_type_id);
    }

  return g_enum_type_id__volatile;
}

/* enumerations from "dax-element-script.h" */
#include "dax-element-script.h"
#ifndef DAX_SCRIPT_TYPE_OVERRIDE_TRANSFORM
static void
transform_dax_script_type_string (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (src));
    enum_value = g_enum_get_value (enum_class, g_value_get_enum (src));
    if (enum_value)
        g_value_set_static_string (dest, enum_value->value_nick);
    else
        g_value_set_static_string (dest, "<invalid DaxScriptType>");
}

static void
transform_string_dax_script_type (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

#ifdef DAX_SCRIPT_TYPE_CASE_SENSITIVE
    const gchar *nick = g_value_get_string (src);
#else
    gchar *nick = g_ascii_strdown (g_value_get_string (src), -1);
#endif

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (dest));
    enum_value = g_enum_get_value_by_nick (enum_class, nick);
    if (enum_value)
        g_value_set_enum (dest, enum_value->value);
    else
        g_value_set_enum (dest, DAX_SCRIPT_TYPE_DEFAULT);

#ifndef DAX_SCRIPT_TYPE_CASE_SENSITIVE
    g_free (nick);
#endif
}
#endif /* DAX_SCRIPT_TYPE_OVERRIDE_TRANSFORM */

GType
dax_script_type_get_type (void)
{
  static volatile gsize g_enum_type_id__volatile = 0;

  if (g_once_init_enter (&g_enum_type_id__volatile))
    {
      static const GEnumValue values[] = {
        { DAX_SCRIPT_TYPE_ECMASCRIPT, "DAX_SCRIPT_TYPE_ECMASCRIPT", "ecmascript" },
        { DAX_SCRIPT_TYPE_JAVA_ARCHIVE, "DAX_SCRIPT_TYPE_JAVA_ARCHIVE", "java-archive" },
        { 0, NULL, NULL }
      };
      GType g_enum_type_id;

      g_enum_type_id =
        g_enum_register_static (g_intern_static_string ("DaxScriptType"), values);
#ifndef DAX_SCRIPT_TYPE_OVERRIDE_TRANSFORM
        g_value_register_transform_func (g_enum_type_id, G_TYPE_STRING,
                                         transform_dax_script_type_string);
        g_value_register_transform_func (G_TYPE_STRING, g_enum_type_id,
                                         transform_string_dax_script_type);
#endif

      g_once_init_leave (&g_enum_type_id__volatile, g_enum_type_id);
    }

  return g_enum_type_id__volatile;
}

/* enumerations from "dax-element-svg.h" */
#include "dax-element-svg.h"
#ifndef DAX_SVG_VERSION_OVERRIDE_TRANSFORM
static void
transform_dax_svg_version_string (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (src));
    enum_value = g_enum_get_value (enum_class, g_value_get_enum (src));
    if (enum_value)
        g_value_set_static_string (dest, enum_value->value_nick);
    else
        g_value_set_static_string (dest, "<invalid DaxSvgVersion>");
}

static void
transform_string_dax_svg_version (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

#ifdef DAX_SVG_VERSION_CASE_SENSITIVE
    const gchar *nick = g_value_get_string (src);
#else
    gchar *nick = g_ascii_strdown (g_value_get_string (src), -1);
#endif

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (dest));
    enum_value = g_enum_get_value_by_nick (enum_class, nick);
    if (enum_value)
        g_value_set_enum (dest, enum_value->value);
    else
        g_value_set_enum (dest, DAX_SVG_VERSION_DEFAULT);

#ifndef DAX_SVG_VERSION_CASE_SENSITIVE
    g_free (nick);
#endif
}
#endif /* DAX_SVG_VERSION_OVERRIDE_TRANSFORM */

GType
dax_svg_version_get_type (void)
{
  static volatile gsize g_enum_type_id__volatile = 0;

  if (g_once_init_enter (&g_enum_type_id__volatile))
    {
      static const GEnumValue values[] = {
        { DAX_SVG_VERSION_1_0, "DAX_SVG_VERSION_1_0", "0" },
        { DAX_SVG_VERSION_1_1, "DAX_SVG_VERSION_1_1", "1" },
        { DAX_SVG_VERSION_1_2, "DAX_SVG_VERSION_1_2", "2" },
        { 0, NULL, NULL }
      };
      GType g_enum_type_id;

      g_enum_type_id =
        g_enum_register_static (g_intern_static_string ("DaxSvgVersion"), values);
#ifndef DAX_SVG_VERSION_OVERRIDE_TRANSFORM
        g_value_register_transform_func (g_enum_type_id, G_TYPE_STRING,
                                         transform_dax_svg_version_string);
        g_value_register_transform_func (G_TYPE_STRING, g_enum_type_id,
                                         transform_string_dax_svg_version);
#endif

      g_once_init_leave (&g_enum_type_id__volatile, g_enum_type_id);
    }

  return g_enum_type_id__volatile;
}
#ifndef DAX_SVG_BASE_PROFILE_OVERRIDE_TRANSFORM
static void
transform_dax_svg_base_profile_string (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (src));
    enum_value = g_enum_get_value (enum_class, g_value_get_enum (src));
    if (enum_value)
        g_value_set_static_string (dest, enum_value->value_nick);
    else
        g_value_set_static_string (dest, "<invalid DaxSvgBaseProfile>");
}

static void
transform_string_dax_svg_base_profile (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

#ifdef DAX_SVG_BASE_PROFILE_CASE_SENSITIVE
    const gchar *nick = g_value_get_string (src);
#else
    gchar *nick = g_ascii_strdown (g_value_get_string (src), -1);
#endif

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (dest));
    enum_value = g_enum_get_value_by_nick (enum_class, nick);
    if (enum_value)
        g_value_set_enum (dest, enum_value->value);
    else
        g_value_set_enum (dest, DAX_SVG_BASE_PROFILE_DEFAULT);

#ifndef DAX_SVG_BASE_PROFILE_CASE_SENSITIVE
    g_free (nick);
#endif
}
#endif /* DAX_SVG_BASE_PROFILE_OVERRIDE_TRANSFORM */

GType
dax_svg_base_profile_get_type (void)
{
  static volatile gsize g_enum_type_id__volatile = 0;

  if (g_once_init_enter (&g_enum_type_id__volatile))
    {
      static const GEnumValue values[] = {
        { DAX_SVG_BASE_PROFILE_NONE, "DAX_SVG_BASE_PROFILE_NONE", "none" },
        { DAX_SVG_BASE_PROFILE_FULL, "DAX_SVG_BASE_PROFILE_FULL", "full" },
        { DAX_SVG_BASE_PROFILE_BASIC, "DAX_SVG_BASE_PROFILE_BASIC", "basic" },
        { DAX_SVG_BASE_PROFILE_TINY, "DAX_SVG_BASE_PROFILE_TINY", "tiny" },
        { 0, NULL, NULL }
      };
      GType g_enum_type_id;

      g_enum_type_id =
        g_enum_register_static (g_intern_static_string ("DaxSvgBaseProfile"), values);
#ifndef DAX_SVG_BASE_PROFILE_OVERRIDE_TRANSFORM
        g_value_register_transform_func (g_enum_type_id, G_TYPE_STRING,
                                         transform_dax_svg_base_profile_string);
        g_value_register_transform_func (G_TYPE_STRING, g_enum_type_id,
                                         transform_string_dax_svg_base_profile);
#endif

      g_once_init_leave (&g_enum_type_id__volatile, g_enum_type_id);
    }

  return g_enum_type_id__volatile;
}

/* enumerations from "dax-element-text.h" */
#include "dax-element-text.h"
#ifndef DAX_TEXT_EDITABLE_OVERRIDE_TRANSFORM
static void
transform_dax_text_editable_string (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (src));
    enum_value = g_enum_get_value (enum_class, g_value_get_enum (src));
    if (enum_value)
        g_value_set_static_string (dest, enum_value->value_nick);
    else
        g_value_set_static_string (dest, "<invalid DaxTextEditable>");
}

static void
transform_string_dax_text_editable (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

#ifdef DAX_TEXT_EDITABLE_CASE_SENSITIVE
    const gchar *nick = g_value_get_string (src);
#else
    gchar *nick = g_ascii_strdown (g_value_get_string (src), -1);
#endif

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (dest));
    enum_value = g_enum_get_value_by_nick (enum_class, nick);
    if (enum_value)
        g_value_set_enum (dest, enum_value->value);
    else
        g_value_set_enum (dest, DAX_TEXT_EDITABLE_DEFAULT);

#ifndef DAX_TEXT_EDITABLE_CASE_SENSITIVE
    g_free (nick);
#endif
}
#endif /* DAX_TEXT_EDITABLE_OVERRIDE_TRANSFORM */

GType
dax_text_editable_get_type (void)
{
  static volatile gsize g_enum_type_id__volatile = 0;

  if (g_once_init_enter (&g_enum_type_id__volatile))
    {
      static const GEnumValue values[] = {
        { DAX_TEXT_EDITABLE_NONE, "DAX_TEXT_EDITABLE_NONE", "none" },
        { DAX_TEXT_EDITABLE_SIMPLE, "DAX_TEXT_EDITABLE_SIMPLE", "simple" },
        { 0, NULL, NULL }
      };
      GType g_enum_type_id;

      g_enum_type_id =
        g_enum_register_static (g_intern_static_string ("DaxTextEditable"), values);
#ifndef DAX_TEXT_EDITABLE_OVERRIDE_TRANSFORM
        g_value_register_transform_func (g_enum_type_id, G_TYPE_STRING,
                                         transform_dax_text_editable_string);
        g_value_register_transform_func (G_TYPE_STRING, g_enum_type_id,
                                         transform_string_dax_text_editable);
#endif

      g_once_init_leave (&g_enum_type_id__volatile, g_enum_type_id);
    }

  return g_enum_type_id__volatile;
}

/* enumerations from "dax-types.h" */
#include "dax-types.h"
#ifndef DAX_ANIMATION_ATTRIBUTE_TYPE_OVERRIDE_TRANSFORM
static void
transform_dax_animation_attribute_type_string (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (src));
    enum_value = g_enum_get_value (enum_class, g_value_get_enum (src));
    if (enum_value)
        g_value_set_static_string (dest, enum_value->value_nick);
    else
        g_value_set_static_string (dest, "<invalid DaxAnimationAttributeType>");
}

static void
transform_string_dax_animation_attribute_type (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

#ifdef DAX_ANIMATION_ATTRIBUTE_TYPE_CASE_SENSITIVE
    const gchar *nick = g_value_get_string (src);
#else
    gchar *nick = g_ascii_strdown (g_value_get_string (src), -1);
#endif

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (dest));
    enum_value = g_enum_get_value_by_nick (enum_class, nick);
    if (enum_value)
        g_value_set_enum (dest, enum_value->value);
    else
        g_value_set_enum (dest, DAX_ANIMATION_ATTRIBUTE_TYPE_DEFAULT);

#ifndef DAX_ANIMATION_ATTRIBUTE_TYPE_CASE_SENSITIVE
    g_free (nick);
#endif
}
#endif /* DAX_ANIMATION_ATTRIBUTE_TYPE_OVERRIDE_TRANSFORM */

GType
dax_animation_attribute_type_get_type (void)
{
  static volatile gsize g_enum_type_id__volatile = 0;

  if (g_once_init_enter (&g_enum_type_id__volatile))
    {
      static const GEnumValue values[] = {
        { DAX_ANIMATION_ATTRIBUTE_TYPE_AUTO, "DAX_ANIMATION_ATTRIBUTE_TYPE_AUTO", "auto" },
        { DAX_ANIMATION_ATTRIBUTE_TYPE_CSS, "DAX_ANIMATION_ATTRIBUTE_TYPE_CSS", "CSS" },
        { DAX_ANIMATION_ATTRIBUTE_TYPE_XML, "DAX_ANIMATION_ATTRIBUTE_TYPE_XML", "XML" },
        { 0, NULL, NULL }
      };
      GType g_enum_type_id;

      g_enum_type_id =
        g_enum_register_static (g_intern_static_string ("DaxAnimationAttributeType"), values);
#ifndef DAX_ANIMATION_ATTRIBUTE_TYPE_OVERRIDE_TRANSFORM
        g_value_register_transform_func (g_enum_type_id, G_TYPE_STRING,
                                         transform_dax_animation_attribute_type_string);
        g_value_register_transform_func (G_TYPE_STRING, g_enum_type_id,
                                         transform_string_dax_animation_attribute_type);
#endif

      g_once_init_leave (&g_enum_type_id__volatile, g_enum_type_id);
    }

  return g_enum_type_id__volatile;
}
#ifndef DAX_PRESERVE_ASPECT_RATIO_ALIGN_OVERRIDE_TRANSFORM
static void
transform_dax_preserve_aspect_ratio_align_string (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (src));
    enum_value = g_enum_get_value (enum_class, g_value_get_enum (src));
    if (enum_value)
        g_value_set_static_string (dest, enum_value->value_nick);
    else
        g_value_set_static_string (dest, "<invalid DaxPreserveAspectRatioAlign>");
}

static void
transform_string_dax_preserve_aspect_ratio_align (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

#ifdef DAX_PRESERVE_ASPECT_RATIO_ALIGN_CASE_SENSITIVE
    const gchar *nick = g_value_get_string (src);
#else
    gchar *nick = g_ascii_strdown (g_value_get_string (src), -1);
#endif

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (dest));
    enum_value = g_enum_get_value_by_nick (enum_class, nick);
    if (enum_value)
        g_value_set_enum (dest, enum_value->value);
    else
        g_value_set_enum (dest, DAX_PRESERVE_ASPECT_RATIO_ALIGN_DEFAULT);

#ifndef DAX_PRESERVE_ASPECT_RATIO_ALIGN_CASE_SENSITIVE
    g_free (nick);
#endif
}
#endif /* DAX_PRESERVE_ASPECT_RATIO_ALIGN_OVERRIDE_TRANSFORM */

GType
dax_preserve_aspect_ratio_align_get_type (void)
{
  static volatile gsize g_enum_type_id__volatile = 0;

  if (g_once_init_enter (&g_enum_type_id__volatile))
    {
      static const GEnumValue values[] = {
        { DAX_PRESERVE_ASPECT_RATIO_ALIGN_NONE, "DAX_PRESERVE_ASPECT_RATIO_ALIGN_NONE", "none" },
        { DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MIN_Y_MIN, "DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MIN_Y_MIN", "xMinYMin" },
        { DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MID_Y_MIN, "DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MID_Y_MIN", "xMidYMin" },
        { DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MAX_Y_MIN, "DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MAX_Y_MIN", "xMaxYMin" },
        { DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MIN_Y_MID, "DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MIN_Y_MID", "xMinYMid" },
        { DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MID_Y_MID, "DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MID_Y_MID", "xMidYMid" },
        { DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MAX_Y_MID, "DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MAX_Y_MID", "xMaxYMid" },
        { DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MIN_Y_MAX, "DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MIN_Y_MAX", "xMinYMax" },
        { DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MID_Y_MAX, "DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MID_Y_MAX", "xMidYMax" },
        { DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MAX_Y_MAX, "DAX_PRESERVE_ASPECT_RATIO_ALIGN_X_MAX_Y_MAX", "xMaxYMax" },
        { 0, NULL, NULL }
      };
      GType g_enum_type_id;

      g_enum_type_id =
        g_enum_register_static (g_intern_static_string ("DaxPreserveAspectRatioAlign"), values);
#ifndef DAX_PRESERVE_ASPECT_RATIO_ALIGN_OVERRIDE_TRANSFORM
        g_value_register_transform_func (g_enum_type_id, G_TYPE_STRING,
                                         transform_dax_preserve_aspect_ratio_align_string);
        g_value_register_transform_func (G_TYPE_STRING, g_enum_type_id,
                                         transform_string_dax_preserve_aspect_ratio_align);
#endif

      g_once_init_leave (&g_enum_type_id__volatile, g_enum_type_id);
    }

  return g_enum_type_id__volatile;
}

/* enumerations from "dax-xml-event.h" */
#include "dax-xml-event.h"
#ifndef DAX_XML_EVENT_TYPE_OVERRIDE_TRANSFORM
static void
transform_dax_xml_event_type_string (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (src));
    enum_value = g_enum_get_value (enum_class, g_value_get_enum (src));
    if (enum_value)
        g_value_set_static_string (dest, enum_value->value_nick);
    else
        g_value_set_static_string (dest, "<invalid DaxXmlEventType>");
}

static void
transform_string_dax_xml_event_type (const GValue *src,
                              GValue       *dest)
{
    GEnumClass *enum_class;
    GEnumValue *enum_value;

#ifdef DAX_XML_EVENT_TYPE_CASE_SENSITIVE
    const gchar *nick = g_value_get_string (src);
#else
    gchar *nick = g_ascii_strdown (g_value_get_string (src), -1);
#endif

    /* enum_class can't be NULL here as the type had to be initialized to
     * produce the src GValue */
    enum_class = g_type_class_peek (G_VALUE_TYPE (dest));
    enum_value = g_enum_get_value_by_nick (enum_class, nick);
    if (enum_value)
        g_value_set_enum (dest, enum_value->value);
    else
        g_value_set_enum (dest, DAX_XML_EVENT_TYPE_DEFAULT);

#ifndef DAX_XML_EVENT_TYPE_CASE_SENSITIVE
    g_free (nick);
#endif
}
#endif /* DAX_XML_EVENT_TYPE_OVERRIDE_TRANSFORM */

GType
dax_xml_event_type_get_type (void)
{
  static volatile gsize g_enum_type_id__volatile = 0;

  if (g_once_init_enter (&g_enum_type_id__volatile))
    {
      static const GEnumValue values[] = {
        { DAX_XML_EVENT_TYPE_NONE, "DAX_XML_EVENT_TYPE_NONE", "none" },
        { DAX_XML_EVENT_TYPE_LOAD, "DAX_XML_EVENT_TYPE_LOAD", "load" },
        { DAX_XML_EVENT_TYPE_CLICK, "DAX_XML_EVENT_TYPE_CLICK", "click" },
        { DAX_XML_EVENT_TYPE_SVG_TIMER, "DAX_XML_EVENT_TYPE_SVG_TIMER", "SVGTimer" },
        { 0, NULL, NULL }
      };
      GType g_enum_type_id;

      g_enum_type_id =
        g_enum_register_static (g_intern_static_string ("DaxXmlEventType"), values);
#ifndef DAX_XML_EVENT_TYPE_OVERRIDE_TRANSFORM
        g_value_register_transform_func (g_enum_type_id, G_TYPE_STRING,
                                         transform_dax_xml_event_type_string);
        g_value_register_transform_func (G_TYPE_STRING, g_enum_type_id,
                                         transform_string_dax_xml_event_type);
#endif

      g_once_init_leave (&g_enum_type_id__volatile, g_enum_type_id);
    }

  return g_enum_type_id__volatile;
}

/* Generated data ends here */

